classification
Title: Document PyModule_Create()
Type: behavior Stage: needs patch
Components: Documentation Versions: Python 3.0, Python 3.1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: benjamin.peterson, brett.cannon, georg.brandl, loewis
Priority: high Keywords: needs review, patch

Created on 2008-12-09 21:06 by brett.cannon, last changed 2009-01-04 23:20 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
new-module-apis.diff georg.brandl, 2009-01-02 20:20
Messages (9)
msg77454 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-12-09 21:06
PyModule_Create() is not documented (or at least it isn't showing up in
the C API index). Might be other parts of the new module initialization
API that are not documented either.
msg78840 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2009-01-02 16:54
What's the policy for marking bug reports as critical? If the
description of the priority (Might block a future release) is normative,
why got this report marked critical? I don't think a documentation bug
can ever block a release.
msg78841 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2009-01-02 17:00
I'm not suggesting that this should block a release (if that is the
definition of critical). I do however think this is critical for 3.x's
adoption and therefore should be of much importance to us.
msg78845 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2009-01-02 17:24
I'm a bit worried about committers giving other committers priorities on
how they should work; as a principle, volunteers are free to work on
whatever they please, in whatever order they please.

So unassigning Georg.
msg78847 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2009-01-02 17:31
On Fri, Jan 2, 2009 at 11:24 AM, Martin v. Löwis <report@bugs.python.org> wrote:
>
> Martin v. Löwis <martin@v.loewis.de> added the comment:
>
> I'm a bit worried about committers giving other committers priorities on
> how they should work; as a principle, volunteers are free to work on
> whatever they please, in whatever order they please.

Of course.

>
> So unassigning Georg.

It would be really nice if there were some notes on use of the tracker.
msg78851 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2009-01-02 17:58
> It would be really nice if there were some notes on use of the tracker.

I think Brett has a vision here; you might ping him what the status
of that is.
msg78868 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-01-02 20:20
Attaching a doc patch -- Martin, could you please confirm that I didn't
write nonsense?
msg79094 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2009-01-04 23:14
The patch looks about right.

I believe it is a bug that md_state isn't automatically freed; m_free
should be used to release any resources stored inside md_state (or any
other resources that the module might hold). So please remove the note
on releasing md_state.
msg79096 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-01-04 23:20
OK, fixed up and committed as r68327.
History
Date User Action Args
2009-01-04 23:20:37georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg79096
2009-01-04 23:14:40loewissetassignee: loewis -> georg.brandl
messages: + msg79094
2009-01-02 20:20:15georg.brandlsetfiles: + new-module-apis.diff
assignee: loewis
messages: + msg78868
keywords: + patch
2009-01-02 17:58:03loewissetmessages: + msg78851
2009-01-02 17:31:13benjamin.petersonsetmessages: + msg78847
2009-01-02 17:24:31loewissetassignee: georg.brandl -> (no value)
messages: + msg78845
2009-01-02 17:00:22benjamin.petersonsetpriority: critical -> high
nosy: + benjamin.peterson
messages: + msg78841
2009-01-02 16:54:35loewissetmessages: + msg78840
2009-01-02 00:43:34benjamin.petersonsetpriority: critical
2008-12-10 03:01:27benjamin.petersonsetkeywords: + needs review
nosy: + loewis
2008-12-09 21:06:46brett.cannoncreate